=== debian/changelog ===
libtiltstick (1.0-3) unstable; urgency=low

  * API change for any axis number
  * prevent C++ name mangling

 -- Till Harbaum <Till@Harbaum.org>  Wed, 12 Mar 2008 08:23:13 +0100

libtiltstick (1.0-2) unstable; urgency=low

  * Support for tiltstick buttons

 -- Till Harbaum <Till@Harbaum.org>  Tue, 11 Mar 2008 15:23:57 +0100

libtiltstick (1.0-1) unstable; urgency=low

  * Initial release

 -- Till Harbaum <Till@Harbaum.org>  Mon, 24 Dec 2007 13:35:42 +0100
