=== debian/control ===
Source: libtiltstick
Priority: extra
Maintainer: Till Harbaum <till@harbaum.org>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2
Section: libs

Package: libtiltstick-dev
Section: libdevel
Architecture: any
Depends: libtiltstick1 (= ${Source-Version})
Description: Development files to access tiltstick under maemo
 These files are required to develop software accessing the 
 tiltstick from user space under Maemo.

Package: libtiltstick1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Library to access tiltstick under maemo
 This library is required to access the tiltstick from
 user space under Maemo.
